# Class IconResource

java.lang.Object
org.apache.zookeeper.inspector.gui.IconResource

public class IconResource extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ICON_ADD`
`static final String`
`ICON_CHANGE_NODE_VIEWERS`
`static final String`
`ICON_DOCUMENT_ADD`
`static final String`
`ICON_DOWN`
`static final String`
`ICON_HELP_ABOUT`
`static final String`
`ICON_INFORMATION`
`static final String`
`ICON_REFRESH`
`static final String`
`ICON_REMOVE`
`static final String`
`ICON_SAVE`
`static final String`
`ICON_START`
`static final String`
`ICON_STOP`
`static final String`
`ICON_TRASH`
`static final String`
`ICON_TREE_CLOSE`
`static final String`
`ICON_TREE_LEAF`
`static final String`
`ICON_TREE_OPEN`
`static final String`
`ICON_UP`

## Constructor Summary

Constructors
Constructor
Description
`IconResource()`

## Method Summary

Modifier and Type
Method
Description
`URL`
`find(String name)`
`ImageIcon`
`get(String name, String description)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ICON_CHANGE_NODE_VIEWERS

public static final String ICON_CHANGE_NODE_VIEWERS

See Also:
  - Constant Field Values

### ICON_TREE_LEAF

public static final String ICON_TREE_LEAF

See Also:
  - Constant Field Values

### ICON_TREE_OPEN

public static final String ICON_TREE_OPEN

See Also:
  - Constant Field Values

### ICON_TREE_CLOSE

public static final String ICON_TREE_CLOSE

See Also:
  - Constant Field Values

### ICON_INFORMATION

public static final String ICON_INFORMATION

See Also:
  - Constant Field Values

### ICON_SAVE

public static final String ICON_SAVE

See Also:
  - Constant Field Values

### ICON_UP

public static final String ICON_UP

See Also:
  - Constant Field Values

### ICON_DOWN

public static final String ICON_DOWN

See Also:
  - Constant Field Values

### ICON_ADD

public static final String ICON_ADD

See Also:
  - Constant Field Values

### ICON_REMOVE

public static final String ICON_REMOVE

See Also:
  - Constant Field Values

### ICON_START

public static final String ICON_START

See Also:
  - Constant Field Values

### ICON_STOP

public static final String ICON_STOP

See Also:
  - Constant Field Values

### ICON_DOCUMENT_ADD

public static final String ICON_DOCUMENT_ADD

See Also:
  - Constant Field Values

### ICON_REFRESH

public static final String ICON_REFRESH

See Also:
  - Constant Field Values

### ICON_TRASH

public static final String ICON_TRASH

See Also:
  - Constant Field Values

### ICON_HELP_ABOUT

public static final String ICON_HELP_ABOUT

See Also:
  - Constant Field Values

## Constructor Details

### IconResource

public IconResource()

## Method Details

### find

public URL find(String name)

### get

public ImageIcon get(String name, String description)